## org.biojava.bio.symbol
Interface CrossProductSymbol

public interface CrossProductSymbol
extends Symbol

Symbol in a CrossProductAlphabet.

The getName method should return a string that is bracketed, and seperates each contained Symbol with a comma.

Author:
  Thomas Down

Method Summary
`java.util.List` `getSymbols()` Return an immutable ordered list of symbols which are represented by this CrossProductSymbol.

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName, getToken`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Method Detail

### getSymbols

    public java.util.List getSymbols()

  Return an immutable ordered list of symbols which are represented by this CrossProductSymbol.